org.jgroups.protocols.pbcast

## Class FLUSH.FlushHeader

- java.lang.Object
- - org.jgroups.Header
  - - org.jgroups.protocols.pbcast.FLUSH.FlushHeader

- All Implemented Interfaces:
    Streamable
  Enclosing class:
    FLUSH

      public static class FLUSH.FlushHeader
      extends Header

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `ABORT_FLUSH`
    `static byte` | `FLUSH_BYPASS`
    `static byte` | `FLUSH_COMPLETED`
    `static byte` | `FLUSH_NOT_COMPLETED`
    `static byte` | `FLUSH_RECONCILE`
    `static byte` | `FLUSH_RECONCILE_OK`
    `static byte` | `START_FLUSH`
    `static byte` | `STOP_FLUSH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FLUSH.FlushHeader()`
    `FLUSH.FlushHeader(byte type)`
    `FLUSH.FlushHeader(byte type, long viewID)`
    `FLUSH.FlushHeader(byte type, long viewID, java.util.Collection<? extends Address> flushView)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDigest(Digest digest)`
    `void` | `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
    `int` | `size()` To be implemented by subclasses.
    `java.lang.String` | `toString()`
    `void` | `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### START_FLUSH

          public static final byte START_FLUSH

      See Also:
        Constant Field Values

    - #### STOP_FLUSH

          public static final byte STOP_FLUSH

      See Also:
        Constant Field Values

    - #### FLUSH_COMPLETED

          public static final byte FLUSH_COMPLETED

      See Also:
        Constant Field Values

    - #### ABORT_FLUSH

          public static final byte ABORT_FLUSH

      See Also:
        Constant Field Values

    - #### FLUSH_BYPASS

          public static final byte FLUSH_BYPASS

      See Also:
        Constant Field Values

    - #### FLUSH_RECONCILE

          public static final byte FLUSH_RECONCILE

      See Also:
        Constant Field Values

    - #### FLUSH_RECONCILE_OK

          public static final byte FLUSH_RECONCILE_OK

      See Also:
        Constant Field Values

    - #### FLUSH_NOT_COMPLETED

          public static final byte FLUSH_NOT_COMPLETED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FLUSH.FlushHeader

          public FLUSH.FlushHeader()

    - #### FLUSH.FlushHeader

          public FLUSH.FlushHeader(byte type)

    - #### FLUSH.FlushHeader

          public FLUSH.FlushHeader(byte type,
                           long viewID)

    - #### FLUSH.FlushHeader

          public FLUSH.FlushHeader(byte type,
                           long viewID,
                           java.util.Collection<? extends Address> flushView)

  - ### Method Detail

    - #### size

          public int size()

      Description copied from class: `Header`
      To be implemented by subclasses. Return the size of this object for the serialized version of it. I.e. how many bytes this object takes when flattened into a buffer. This may be different for each instance, or can be the same. This may also just be an estimation. E.g. FRAG uses it on Message to determine whether or not to fragment the message. Fragmentation itself will be accurate, because the entire message will actually be serialized into a byte buffer, so we can determine the exact size.
      Specified by:
        `size` in class `Header`

    - #### addDigest

          public void addDigest(Digest digest)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Header`

    - #### writeTo

          public void writeTo(java.io.DataOutputStream out)
                       throws java.io.IOException

      Description copied from interface: `Streamable`
      Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed
      Throws:
        `java.io.IOException`

    - #### readFrom

          public void readFrom(java.io.DataInputStream in)
                        throws java.io.IOException,
                               java.lang.IllegalAccessException,
                               java.lang.InstantiationException

      Description copied from interface: `Streamable`
      Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
      Throws:
        `java.io.IOException`
        `java.lang.IllegalAccessException`
        `java.lang.InstantiationException`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.